Bug 1679131 - [abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
Summary: [abrt] festival: EST_Item::EST_Item(): festival killed by SIGSEGV
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: festival
Version: 29
Hardware: x86_64
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Bruno Wolff III
QA Contact: Fedora Extras Quality Assurance
URL: https://retrace.fedoraproject.org/faf...
Whiteboard: abrt_hash:bddc39d49cc325258f4669b22ab...
: 1691193 (view as bug list)
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2019-02-20 12:18 UTC by Tim Hughes
Modified: 2019-11-27 22:09 UTC (History)
14 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-27 22:09:21 UTC
Type: ---


Attachments (Terms of Use)
File: backtrace (36.14 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: cgroup (351 bytes, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: core_backtrace (3.50 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: cpuinfo (1.41 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: dso_list (4.05 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: environ (7.46 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: exploitable (82 bytes, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: limits (1.29 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: maps (26.12 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: mountinfo (6.13 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: open_fds (331 bytes, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details
File: proc_pid_status (1.32 KB, text/plain)
2019-02-20 12:18 UTC, Tim Hughes
no flags Details

Description Tim Hughes 2019-02-20 12:18:03 UTC
Description of problem:
Just install and try to run 



####### Installation ############

[root@argon ~]# dnf install festvox-awb-arctic-hts.noarch
Last metadata expiration check: 1:36:04 ago on Wed 20 Feb 2019 09:51:09 GMT.
Dependencies resolved.
==============================================================================================================================================================================================================================================
 Package                                                              Arch                                              Version                                                       Repository                                         Size
==============================================================================================================================================================================================================================================
Installing:
 festvox-awb-arctic-hts                                               noarch                                            0.20061229-39.fc29                                            fedora                                            808 k
Installing dependencies:
 festival                                                             x86_64                                            1.96-39.fc29                                                  fedora                                            1.3 M
 festival-lib                                                         x86_64                                            1.96-39.fc29                                                  fedora                                            408 k
 festival-speechtools-libs                                            x86_64                                            1.2.96-39.fc29                                                fedora                                            1.0 M
 festvox-slt-arctic-hts                                               noarch                                            0.20061229-39.fc29                                            fedora                                            1.0 M

Transaction Summary
==============================================================================================================================================================================================================================================
Install  5 Packages

Total download size: 4.5 M
Installed size: 18 M
Is this ok [y/N]: y
Downloading Packages:
(1/5): festival-lib-1.96-39.fc29.x86_64.rpm                                                                                                                                                                   363 kB/s | 408 kB     00:01    
(2/5): festival-speechtools-libs-1.2.96-39.fc29.x86_64.rpm                                                                                                                                                    846 kB/s | 1.0 MB     00:01    
(3/5): festival-1.96-39.fc29.x86_64.rpm                                                                                                                                                                       1.1 MB/s | 1.3 MB     00:01    
(4/5): festvox-awb-arctic-hts-0.20061229-39.fc29.noarch.rpm                                                                                                                                                   7.0 MB/s | 808 kB     00:00    
(5/5): festvox-slt-arctic-hts-0.20061229-39.fc29.noarch.rpm                                                                                                                                                   9.7 MB/s | 1.0 MB     00:00    
----------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------------
Total                                                                                                                                                                                                         1.5 MB/s | 4.5 MB     00:03     
Running transaction check
Transaction check succeeded.
Running transaction test
Transaction test succeeded.
Running transaction
  Preparing        :                                                                                                                                                                                                                      1/1 
  Installing       : festival-speechtools-libs-1.2.96-39.fc29.x86_64                                                                                                                                                                      1/5 
  Running scriptlet: festival-speechtools-libs-1.2.96-39.fc29.x86_64                                                                                                                                                                      1/5 
  Installing       : festival-lib-1.96-39.fc29.x86_64                                                                                                                                                                                     2/5 
  Running scriptlet: festival-lib-1.96-39.fc29.x86_64                                                                                                                                                                                     2/5 
  Installing       : festvox-slt-arctic-hts-0.20061229-39.fc29.noarch                                                                                                                                                                     3/5 
  Installing       : festival-1.96-39.fc29.x86_64                                                                                                                                                                                         4/5 
  Installing       : festvox-awb-arctic-hts-0.20061229-39.fc29.noarch                                                                                                                                                                     5/5 
  Running scriptlet: festvox-awb-arctic-hts-0.20061229-39.fc29.noarch                                                                                                                                                                     5/5 
  Verifying        : festival-1.96-39.fc29.x86_64                                                                                                                                                                                         1/5 
  Verifying        : festival-lib-1.96-39.fc29.x86_64                                                                                                                                                                                     2/5 
  Verifying        : festival-speechtools-libs-1.2.96-39.fc29.x86_64                                                                                                                                                                      3/5 
  Verifying        : festvox-awb-arctic-hts-0.20061229-39.fc29.noarch                                                                                                                                                                     4/5 
  Verifying        : festvox-slt-arctic-hts-0.20061229-39.fc29.noarch                                                                                                                                                                     5/5 

Installed:
  festvox-awb-arctic-hts-0.20061229-39.fc29.noarch      festival-1.96-39.fc29.x86_64      festival-lib-1.96-39.fc29.x86_64      festival-speechtools-libs-1.2.96-39.fc29.x86_64      festvox-slt-arctic-hts-0.20061229-39.fc29.noarch     

Complete!



######### Running ###################

hughest@argon [0] $ echo "Just what do you think you're doing, Dave?" | festival --tts
Segmentation fault (core dumped)

hughest@argon [0] $ festival -i
Festival Speech Synthesis System 1.96:beta July 2004
Copyright (C) University of Edinburgh, 1996-2004. All rights reserved.
For details type `(festival_warranty)'
festival> (voice_cmu_us_slt_arctic_hts) 
cmu_us_slt_arctic_hts
festival> (SayText "Don't hate me, I'm just doing my job!")
Segmentation fault (core dumped)




Version-Release number of selected component:
festival-1.96-39.fc29

Additional info:
reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        festival --tts
crash_function: EST_Item::EST_Item
executable:     /usr/bin/festival
journald_cursor: s=00103d3f6cdd44a9909511c26af0f1a6;i=729cb;b=a3ca4cb467c64e29b1d6abeebcca23d6;m=2a402ca50e;t=58251f5d66e1e;x=dc2043edc9e10719
kernel:         4.20.7-200.fc29.x86_64
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Truncated backtrace:
Thread no. 1 (10 frames)
 #0 EST_Item::EST_Item at ../include/ling_class/EST_Item.h:238
 #1 EST_Relation::append at EST_Relation.cc:98
 #2 add_token at text_aux.cc:47
 #3 tts_chunk_stream at text.cc:242
 #4 tts_file_raw at text.cc:169
 #5 tts_file at text.cc:124
 #6 leval at slib.cc:1390
 #7 festival_eval_command at festival.cc:182
 #8 festival_say_file at festival.cc:233
 #9 ??

Potential duplicate: bug 1524776

Comment 1 Tim Hughes 2019-02-20 12:18:06 UTC
Created attachment 1536668 [details]
File: backtrace

Comment 2 Tim Hughes 2019-02-20 12:18:07 UTC
Created attachment 1536669 [details]
File: cgroup

Comment 3 Tim Hughes 2019-02-20 12:18:08 UTC
Created attachment 1536670 [details]
File: core_backtrace

Comment 4 Tim Hughes 2019-02-20 12:18:09 UTC
Created attachment 1536671 [details]
File: cpuinfo

Comment 5 Tim Hughes 2019-02-20 12:18:10 UTC
Created attachment 1536672 [details]
File: dso_list

Comment 6 Tim Hughes 2019-02-20 12:18:12 UTC
Created attachment 1536673 [details]
File: environ

Comment 7 Tim Hughes 2019-02-20 12:18:13 UTC
Created attachment 1536674 [details]
File: exploitable

Comment 8 Tim Hughes 2019-02-20 12:18:14 UTC
Created attachment 1536675 [details]
File: limits

Comment 9 Tim Hughes 2019-02-20 12:18:15 UTC
Created attachment 1536676 [details]
File: maps

Comment 10 Tim Hughes 2019-02-20 12:18:17 UTC
Created attachment 1536677 [details]
File: mountinfo

Comment 11 Tim Hughes 2019-02-20 12:18:18 UTC
Created attachment 1536678 [details]
File: open_fds

Comment 12 Tim Hughes 2019-02-20 12:18:19 UTC
Created attachment 1536679 [details]
File: proc_pid_status

Comment 13 Elias Vanderstuyft 2019-03-21 05:47:20 UTC
*** Bug 1691193 has been marked as a duplicate of this bug. ***

Comment 14 Paul Nickerson 2019-04-25 17:42:01 UTC
Similar problem has been detected:

I ran this:
echo "Helllloooo!  Is anyone home?" | festival --tts

reporter:       libreport-2.10.0
backtrace_rating: 3
cmdline:        festival --tts
crash_function: EST_Item::EST_Item
executable:     /usr/bin/festival
journald_cursor: s=9bd9b915f0bb4dc597dfc929f22a9a4e;i=d91b0;b=811b8dcec4044300ade7b4f1d8466110;m=4224d135c;t=5875ddfb98747;x=50ddc7d230cc0daf
kernel:         5.0.8-200.fc29.x86_64
package:        festival-1.96-39.fc29
reason:         festival killed by SIGSEGV
rootdir:        /
runlevel:       N 5
type:           CCpp
uid:            1000

Comment 15 Ben Cotton 2019-10-31 19:32:53 UTC
This message is a reminder that Fedora 29 is nearing its end of life.
Fedora will stop maintaining and issuing updates for Fedora 29 on 2019-11-26.
It is Fedora's policy to close all bug reports from releases that are no longer
maintained. At that time this bug will be closed as EOL if it remains open with a
Fedora 'version' of '29'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 29 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 16 Ben Cotton 2019-11-27 22:09:21 UTC
Fedora 29 changed to end-of-life (EOL) status on 2019-11-26. Fedora 29 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.